%define major 2.4
%define sublevel 3
%define srcversion %{major}.%{sublevel}
%define kversion %{major}.%{sublevel}
%define oversion %{major}.%{sublevel}
%define release 2mdk

Summary: The Linux kernel without patch (the real core of the Linux operating system).
Name: kernel-linus%{major}
Version: %{kversion}
Release: %{release}
%define KVERREL %{version}-%{release}
Copyright: GPL
Group: System/Kernel and hardware
ExclusiveArch: i386 i486 i586 i686 k6 alpha sparc sparc64
ExclusiveOS: Linux
Obsoletes: kernel-modules, kernel-sparc
Source0: ftp://ftp.kernel.org/pub/linux/kernel/v2.4/linux-%{srcversion}.tar.bz2
Source19: linux_logo.h.bz2
Source20: kernel-%{version}-i586.config
Source22: kernel-%{version}-alpha.config
Source21: rhkmvtag.c
Patch1:	2.4.2-6pack.diff
Patch2:	2.4.3-buz.diff
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: egcs

%description
The kernel package contains the Linux kernel (vmlinuz), the core of your
Linux Mandrake operating system.  The kernel handles the basic functions
of the operating system:  memory allocation, process allocation, device
input and output, etc.

This version of kernel is a version without any patch just the kernel
like linus out of the press.

%prep
%setup -q -n linux
%patch1 -p1
%patch2 -p1

mv include/linux/linux_logo.h include/linux/linux_logo.h.logomdk
bzcat %{SOURCE19} > include/linux/linux_logo.h
cp $RPM_SOURCE_DIR/rhkmvtag.c .
find . -name "*.orig" -o -name "*~" |xargs rm -f

%build
rm -rf $RPM_BUILD_ROOT

if [ -x /usr/bin/getconf ] ; then
    NRPROC=$(/usr/bin/getconf _NPROCESSORS_ONLN)
    if [ $NRPROC -eq 0 ] ; then
		NRPROC=1
    fi
else	NRPROC=1
fi

Config=%{_target_cpu}
KernelVer=%{KVERREL}

cp $RPM_SOURCE_DIR/kernel-%{kversion}-$Config.config arch/%{_arch}/defconfig
rm -f .config
perl -p -i -e "s/^EXTRAVERSION.*/EXTRAVERSION = -%{release}linus/" Makefile

make mrproper
make oldconfig

make dep
make include/linux/version.h
%ifarch i386 i486 i586 i686 k6 k7
make bzImage
%else
make -j $NRPROC boot
%endif
make modules
find include/linux/modules -size 0 | while read file ; do echo > $file;  done

%install
rm -rf %buildroot
mkdir -p $RPM_BUILD_ROOT/boot

install -m 644 System.map $RPM_BUILD_ROOT/boot/System.map-%{KVERREL}linus
%ifarch i386 i486 i586 i686 k6 k7
cp arch/i386/boot/bzImage $RPM_BUILD_ROOT/boot/vmlinuz-%{KVERREL}linus
%else
# Only copy the raw version
cp vmlinux $RPM_BUILD_ROOT/boot/vmlinux-%{KVERREL}linus
%endif
make INSTALL_MOD_PATH=$RPM_BUILD_ROOT modules_install
%ifnarch sparc64
cc -o rhkmvtag rhkmvtag.c init/version.o
./rhkmvtag > $RPM_BUILD_ROOT/lib/modules/%{KVERREL}linus/.rhkmvtag
rm -f rhkmvtag
%endif

rm -f %buildroot/lib/modules/%{KVERREL}linus/build

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd /boot
ln -sf vmlinuz-%{KVERREL} vmlinuz-2.2
if [ -x /sbin/installkernel ];then
         /sbin/installkernel -L -a -c %{KVERREL}
fi
depmod -q -a %{KVERREL}


%preun
/sbin/modprobe loop 2> /dev/null > /dev/null
rm -f /lib/modules/%{KVERREL}linus/modules.dep
exit 0

%files
%defattr(-,root,root)
%ifarch %{ix86}
/boot/vmlinuz-%{KVERREL}linus
%else
/boot/vmlinux-%{KVERREL}linus
%endif
/boot/System.map-%{KVERREL}linus
/lib/modules/%{KVERREL}linus

%changelog
* Fri Apr 13 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.4.3-2mdk
- remove documentation (already in kernel-doc)
- readd dead %%post
- update logo

* Mon Apr 02 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.4.3-1mdk
- new release
- fix buz.c compilation
- reduce the number of places where to alter release number

* Tue Mar 15 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 2.4.2-2mdk
- update alpha + i586 .config

* Wed Feb 28 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.4.2-1mdk
- fix 6pack driver
- new stable version

* Wed Jan 31 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 2.4.1-2mdk
- add alpha .config file

* Tue Jan 30 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.4.1-1mdk
- first release as requested by Chmouel
